- 积分
- 394
- 明经币
- 个
- 注册时间
- 2011-1-11
- 在线时间
- 小时
- 威望
-
- 金钱
- 个
- 贡献
-
- 激情
-
|
double UpTolerance=0.02;
double DownTolerance=-0.01;
//创建旋转尺寸及公差
using (Transaction acTrans =acCurDb.TransactionManager.StartTransaction())
{
BlockTable acBlkTbl;
acBlkTbl = acTrans.GetObject(acCurDb.BlockTableId, OpenMode.ForRead) as BlockTable;
BlockTableRecord acBlkTblRec;
acBlkTblRec = acTrans.GetObject(acBlkTbl[BlockTableRecord.ModelSpace], OpenMode.ForWrite)
as BlockTableRecord;
RotatedDimension acRotDim = new RotatedDimension();
acRotDim.SetDatabaseDefaults();
acRotDim.XLine1Point = new Point3d(0, 0, 0);
acRotDim.XLine2Point = new Point3d(6, 3, 0);
acRotDim.Rotation = 0.707;
acRotDim.DimLinePoint = new Point3d(0, 5, 0);
acRotDim.DimensionStyle = acCurDb.Dimstyle;
acBlkTblRec.AppendEntity(acRotDim);
acTrans.AddNewlyCreatedDBObject(acRotDim, true);
acTrans.Commit();
}
如何在尺寸后面加上上下公差的标注啊,谢谢!
|
|